using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace Example_3_1
{
  public partial class frmTitles : Form
  {
    public frmTitles()
    {
      InitializeComponent();
    }
    OleDbConnection booksConnection;
    OleDbCommand titlesCommand;
    OleDbDataAdapter titlesAdapter;
    DataTable titlesTable;
    CurrencyManager titlesManager;
    
    private void frmTitles_Load(object sender, EventArgs e)
    {
      // connect to books database
      booksConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source = c:\\VCS2005DB\\Working\\books.mdb");
      //open the connection
      booksConnection.Open();
      // establish command object
      titlesCommand = new OleDbCommand("Select * from Titles", booksConnection);
      // establish data adapter/data table
      titlesAdapter = new OleDbDataAdapter();
      titlesAdapter.SelectCommand = titlesCommand;
      titlesTable = new DataTable();
      titlesAdapter.Fill(titlesTable);
      // bind controls to data table
      txtTitle.DataBindings.Add("Text", titlesTable, "Title");
      txtYearPublished.DataBindings.Add("Text", titlesTable, "Year_Published");
      txtISBN.DataBindings.Add("Text", titlesTable, "ISBN");
      txtPubID.DataBindings.Add("Text",titlesTable, "PubID");
      // establish currency manager
      titlesManager = (CurrencyManager) BindingContext[titlesTable];
      //close the connection
      booksConnection.Close();
      //dispose of the connection object
      booksConnection.Dispose();
      titlesCommand.Dispose();
      titlesAdapter.Dispose();
      titlesTable.Dispose();
    }

    private void btnFirst_Click(object sender, EventArgs e)
    {
      titlesManager.Position = 0;
    }

    private void btnPrevious_Click(object sender, EventArgs e)
    {
      titlesManager.Position--;
    }

    private void btnNext_Click(object sender, EventArgs e)
    {
      titlesManager.Position++;
    }

    private void btnLast_Click(object sender, EventArgs e)
    {
      titlesManager.Position = titlesManager.Count - 1;
    }

  }
}